<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:layout_marginTop="20dp"
        android:paddingTop="1dp"
        android:textColor="@color/color_242424"
        android:textSize="14sp"
        android:layout_marginEnd="8dp"
        app:layout_goneMarginEnd="80dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@id/iv_audition"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="孩子是厌学情绪，还是厌学症？孩子是厌学情绪，还是厌学症？" />

    <ImageView
        android:id="@+id/iv_audition"
        android:layout_width="32dp"
        android:layout_height="16dp"
        android:src="@drawable/course_audition"
        android:visibility="gone"
        tools:visibility="visible"
        android:layout_marginEnd="50dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <com.yidianling.common.view.ui.VoicePlayingIcon
        android:id="@+id/voice_play"
        android:layout_width="15dp"
        android:layout_height="16dp"
        android:layout_marginEnd="22dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:pointer_color="@color/color_1DA1F2"
        app:pointer_num="3"
        app:pointer_width="3"
        app:pointer_speed="10"/>

    <ImageView
        android:id="@+id/iv_play"
        android:layout_width="28dp"
        android:layout_height="28dp"
        android:layout_marginEnd="18dp"
        tools:src="@drawable/course_play_orange"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <View
        android:layout_width="match_parent"
        android:layout_height="0.25dp"
        android:layout_marginTop="19.5dp"
        android:layout_marginEnd="17dp"
        android:layout_marginStart="17dp"
        android:background="@color/color_EFEFF1"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

</androidx.constraintlayout.widget.ConstraintLayout>